/*
 * Created on 25. 7. 2017 9:53:03
 *
 */
package com.jh.common.web;

import javax.servlet.http.HttpServletRequest;

/**
 * Instances of this interface modify client response generated by {@link ClientContentFilter}.
 *
 * @author Jan Hrabal
 */
public interface ClientContentModifier {

    /**
     * Modifies response based on provided request .
     *
     * @param response current response
     * @param request http request
     * @return modified response
     */
    public String modifyResponse(String response, HttpServletRequest request);
    
}
